Bug 1496218 - Hypervisors show up as Hosts with no Puppet reports
Summary: Hypervisors show up as Hosts with no Puppet reports
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-26 16:58 UTC by Justin Sherrill
Modified: 2021-06-10 13:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:08:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20727 0 Normal Closed Hypervisors show up as Hosts with no Puppet reports 2019-12-16 08:54:32 UTC

Description Justin Sherrill 2017-09-26 16:58:06 UTC
Hi,
the Hypervisors are now also host objects since 3.0 (http://www.katello.org/docs/3.0/release_notes/release_notes.html) because content host and host objects are now unified. At the moment this means hypervisors show up as "Hosts with no reports" on dashboard. If you disable foreman reporting for the host they show up as "Hosts with alerts disabled" which is where I think they should be when they will never send reports.
this is something that has been bothering me for some time but I have worked around the issue previously: https://github.com/RedHatSatellite/katello-attach-subscription/pull/13


Because I fixed another issue with the virt-who checkins I came across the code again and I've decided to suggest a fix for the issue because I think its just a one-liner :)

The more general question is if my thought is correct - I only use vmware hypervisors where they really will never send any reports but if you have another hypervisor that does checkin with foreman it may be wrong. Thats why I decided to put it into the create of a hypervisor - this should only happen when the hosts are normally not managed by foreman ie the will never send reports.

Greetings
Klaas

Comment 1 Justin Sherrill 2017-09-26 16:58:11 UTC
Created from redmine issue http://projects.theforeman.org/issues/20727

Comment 2 Justin Sherrill 2017-09-26 17:00:52 UTC
requested by support

Comment 4 Bryan Kearney 2018-02-21 17:08:45 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.